import java.util.concurrent.*

def javaObj = new JavaClass()

def names = ["Joe", "Jill", "Jake"]

javaObj.people(names)

def result = javaObj.receiveBlock({ "This rocks" } as Callable)

println(result)

javaObj.yield()

javaObj.def()

//If there is a conflict, use obj."methodname"() to get around